#!/bin/sh
# alt-pupsave-create.sh
# Purpose: alternative pupsave creation script.
# musher0, Nov. 29, 2013.
####
echo "-- Please note --"
echo "This quick and dirty script"
echo "1) does not ask where to store the pupsave file. It stores"
echo "__ it by default at the top level of /mnt/sda1"
echo "2) it only creates ext2 file systems,"
echo "3) of 384 Mb only, and"
echo "4) you can't customize the file name from within this script."
echo
echo "Let's be clear that this is a workaround, and that some of the"
echo "work will have to be done by you, the user."
echo
echo "It should be used on the rare occasion where the normal pupsave"
echo "creation script fails to create a personal save file. (The bug"
echo "has been known to occur on older computers using an external"
echo "drive, for example.)"
echo
echo "If those limitations do not suit you, please press Ctrl+C to exit."
echo "Or press Return to continue."
read
clear
echo
echo "Let's begin."
echo
mount /dev/sda1 /mnt/sda1 >/dev/null 2>&1
cd /mnt/sda1
echo "Here are the names of some common Puppies:"
echo
echo "  CE dpup kdpup lupu polar precise quirky"
echo "  racy raring slacko sulu wary wheezy wolx"
echo
echo "Type in your Puppy's name, even if you don't"
echo "see it in the above list. Check your spelling! ;-)"
echo
echo "During the process, if asked, press [y]es."
read NOM
echo "~~~~~~~~~~~~~~~"
dd if=/dev/zero of="$NOM"save-arf.2fs bs=1k count=393000
mkfs.ext2 -q -m 0 -F "$NOM"save-arf.2fs
echo "~~~~~~~~~~~~~~~"
echo
echo "Done! Your new pupsave file should be on partition /mnt/sda1."
echo "You can leave it there, but it is suggested that you create a folder,"
echo "give it your Puppy's name and move the newly created file in it,"
echo "to keep things organized. You can change manually the part of "
echo "the file name between the hyphen and the dot, if you so wish."
echo
echo "You can now reboot your Puppy. It will load the newly created"
echo "pupsave file automatically."
echo
echo "Have a great day!"
echo
